### 1.13 `cosh`, `coshf`—hyperbolic cosine ¶

Synopsis

    #include <math.h>
    double cosh(double x);
    float coshf(float x);

Description

`cosh` computes the hyperbolic cosine of the argument x. `cosh(x)` is defined as

     (exp(x) + exp(-x))/2

Angles are specified in radians. `coshf` is identical, save that it takes and returns `float`.

Returns
The computed value is returned. When the correct value would create an overflow, `cosh` returns the value `HUGE_VAL` with the appropriate sign, and the global value `errno` is set to `ERANGE`.

Portability
`cosh` is ANSI. `coshf` is an extension.